- Main Page
- Modules
- Classes
- Files

# ColorSpace

## Functions
bool | CxImage::SplitRGB (CxImage *r, CxImage *g, CxImage *b)
bool | CxImage::SplitYUV (CxImage *y, CxImage *u, CxImage *v)
bool | CxImage::SplitHSL (CxImage *h, CxImage *s, CxImage *l)
bool | CxImage::SplitYIQ (CxImage *y, CxImage *i, CxImage *q)
bool | CxImage::SplitXYZ (CxImage *x, CxImage *y, CxImage *z)
bool | CxImage::SplitCMYK (CxImage *c, CxImage *m, CxImage *y, CxImage *k)
static RGBQUAD | CxImage::HSLtoRGB (COLORREF cHSLColor)
static RGBQUAD | CxImage::RGBtoHSL (RGBQUAD lRGBColor)
static RGBQUAD | CxImage::HSLtoRGB (RGBQUAD lHSLColor)
static RGBQUAD | CxImage::YUVtoRGB (RGBQUAD lYUVColor)
static RGBQUAD | CxImage::RGBtoYUV (RGBQUAD lRGBColor)
static RGBQUAD | CxImage::YIQtoRGB (RGBQUAD lYIQColor)
static RGBQUAD | CxImage::RGBtoYIQ (RGBQUAD lRGBColor)
static RGBQUAD | CxImage::XYZtoRGB (RGBQUAD lXYZColor)
static RGBQUAD | CxImage::RGBtoXYZ (RGBQUAD lRGBColor)
static RGBQUAD | CxImage::RGBtoRGBQUAD (COLORREF cr)
static COLORREF | CxImage::RGBQUADtoRGB (RGBQUAD c)

## Detailed Description

## Function Documentation

RGBQUAD CxImage::HSLtoRGB | ( | RGBQUAD | lHSLColor | ) | `[static, inherited]`

RGBQUAD CxImage::HSLtoRGB | ( | COLORREF | cHSLColor | ) | `[static, inherited]`

COLORREF CxImage::RGBQUADtoRGB | ( | RGBQUAD | c | ) | `[static, inherited]`

RGBQUAD CxImage::RGBtoHSL | ( | RGBQUAD | lRGBColor | ) | `[static, inherited]`

RGBQUAD CxImage::RGBtoRGBQUAD | ( | COLORREF | cr | ) | `[static, inherited]`

RGBQUAD CxImage::RGBtoXYZ | ( | RGBQUAD | lRGBColor | ) | `[static, inherited]`

RGBQUAD CxImage::RGBtoYIQ | ( | RGBQUAD | lRGBColor | ) | `[static, inherited]`

RGBQUAD CxImage::RGBtoYUV | ( | RGBQUAD | lRGBColor | ) | `[static, inherited]`

bool CxImage::SplitCMYK | ( | CxImage * | c,
|  | CxImage * | m,
|  | CxImage * | y,
|  | CxImage * | k |
| ) |  |  | `[inherited]`

Extract CMYK channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | c,m,y,k,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

bool CxImage::SplitHSL | ( | CxImage * | h,
|  | CxImage * | s,
|  | CxImage * | l |
| ) |  |  | `[inherited]`

Extract HSL channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | h,s,l,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

bool CxImage::SplitRGB | ( | CxImage * | r,
|  | CxImage * | g,
|  | CxImage * | b |
| ) |  |  | `[inherited]`

Extract RGB channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | r,g,b,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

bool CxImage::SplitXYZ | ( | CxImage * | x,
|  | CxImage * | y,
|  | CxImage * | z |
| ) |  |  | `[inherited]`

Extract XYZ channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | x,y,z,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

bool CxImage::SplitYIQ | ( | CxImage * | y,
|  | CxImage * | i,
|  | CxImage * | q |
| ) |  |  | `[inherited]`

Extract YIQ channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | y,i,q,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

bool CxImage::SplitYUV | ( | CxImage * | y,
|  | CxImage * | u,
|  | CxImage * | v |
| ) |  |  | `[inherited]`

Extract YUV channels from the image. Each channel is an 8 bit grayscale image.

Parameters:

  | y,u,v,: | pointers to CxImage objects, to store the splited channels

Returns:
  true if everything is ok

RGBQUAD CxImage::XYZtoRGB | ( | RGBQUAD | lXYZColor | ) | `[static, inherited]`

RGBQUAD CxImage::YIQtoRGB | ( | RGBQUAD | lYIQColor | ) | `[static, inherited]`

RGBQUAD CxImage::YUVtoRGB | ( | RGBQUAD | lYUVColor | ) | `[static, inherited]`